import React, { useState, useEffect, useCallback } from 'react';
import PageHeader from '@/components/PageHeader';
import TopNavigator from '../Environment/components/topNavigator';
import { FormattedMessage, history } from 'umi';
import SearchInput from '@/tenants-ui/SearchInput';
import styles from './index.less';
import mapstyles from '@/assets/css/map.less';
import Icon from '@/tenants-ui/Icon';
import { equipImageMap } from '@/config/image.js';

export default function Runtime(props) {
  const { maptemp6 } = equipImageMap;

  const [searchText, setSearchText] = useState();
  const [navigatorList] = useState([]);
  const [mapImg, setMapImg] = useState(maptemp6);

  const checkRecord = () => {
    history.push('/runtime/recordList');
    console.log('showR');
  };
  return (
    <div>
      <PageHeader
        title={<FormattedMessage id="menu.runtime" />}
        action={
          <div className={styles.headerRight}>
            <SearchInput
              placeholder="搜索空间"
              onSearch={(s) => {
                setSearchText(s || undefined);
              }}
              onCancel={() => {
                setSearchText();
              }}
            />
            <div className={styles.check} onClick={checkRecord}>
              <Icon style={{ marginRight: 6 }} type="document" />
              <span>查看加班记录</span>
            </div>
          </div>
        }
      />
      <div style={{ marginTop: '26px' }}>
        <TopNavigator type={'runtime'}></TopNavigator>
        <div className={styles.mapwrap}>
          <div className={styles.top}>
            <div className={styles.right}></div>
          </div>
          {/* <div className={styles.map}>
            <div className={styles.specialRoom}></div>
            <img src={mapImg}></img>
          </div> */}

          <div className={mapstyles.map}>
            <div
              className={mapstyles.house}
              style={{
                width: 180,
                height: 100,
              }}
            >
              <div className={mapstyles.allTime}>08:00-23:00</div>
              <div className={mapstyles.content}>
                <Icon type="office" style={{ fontSize: 20 }}></Icon>
                <div className={mapstyles.name}>Jozy Zone</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
}
